Bug 200756 - Rename StringBuilder::flexibleAppend(...) to StringBuilder::append(...)
Summary: Rename StringBuilder::flexibleAppend(...) to StringBuilder::append(...)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-08-14 20:46 PDT by Sam Weinig
Modified: 2019-08-17 11:50 PDT (History)
4 users (show)

See Also:


Attachments
Patch (74.44 KB, patch)
2019-08-14 20:52 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (75.94 KB, patch)
2019-08-16 20:07 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (79.99 KB, patch)
2019-08-16 20:17 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (80.68 KB, patch)
2019-08-17 07:44 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (83.01 KB, patch)
2019-08-17 08:04 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2019-08-14 20:46:50 PDT
Rename StringBuilder::flexibleAppend(...) to StringBuilder::append(...)
Comment 1 Sam Weinig 2019-08-14 20:52:32 PDT Comment hidden (obsolete)
Comment 2 Build Bot 2019-08-14 23:04:11 PDT Comment hidden (obsolete)
Comment 3 Sam Weinig 2019-08-16 20:07:42 PDT Comment hidden (obsolete)
Comment 4 Sam Weinig 2019-08-16 20:17:36 PDT Comment hidden (obsolete)
Comment 5 Sam Weinig 2019-08-17 07:44:34 PDT Comment hidden (obsolete)
Comment 6 Sam Weinig 2019-08-17 08:04:27 PDT
Created attachment 376609 [details]
Patch
Comment 7 Darin Adler 2019-08-17 11:19:14 PDT
Comment on attachment 376609 [details]
Patch

A next cleanup step would be to remove other overloads of StringBuilder::append that are redundant because append(...) does the same thing (even with one argument).
Comment 8 Darin Adler 2019-08-17 11:46:23 PDT
And then another is to change most appendNumber callers to just call append, since it does there right thing. And remove most appendNumber overloads.

Then consider removing appendFixedPrecisionNumber and appendFixedWidthNumber and use FormattedNumber instead.
Comment 9 WebKit Commit Bot 2019-08-17 11:49:44 PDT
Comment on attachment 376609 [details]
Patch

Clearing flags on attachment: 376609

Committed r248822: <https://trac.webkit.org/changeset/248822>
Comment 10 WebKit Commit Bot 2019-08-17 11:49:45 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2019-08-17 11:50:21 PDT
<rdar://problem/54430185>